Index: branches/2845_EnhancedProgress/HeuristicLab.Clients.Access/3.3/AccessClient.cs
===================================================================
--- branches/2845_EnhancedProgress/HeuristicLab.Clients.Access/3.3/AccessClient.cs	(revision 16308)
+++ branches/2845_EnhancedProgress/HeuristicLab.Clients.Access/3.3/AccessClient.cs	(revision 16311)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2845_EnhancedProgress/HeuristicLab.Clients.Access/3.3/ClientInformation.cs
===================================================================
--- branches/2845_EnhancedProgress/HeuristicLab.Clients.Access/3.3/ClientInformation.cs	(revision 16308)
+++ branches/2845_EnhancedProgress/HeuristicLab.Clients.Access/3.3/ClientInformation.cs	(revision 16311)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2845_EnhancedProgress/HeuristicLab.Clients.Access/3.3/ClientInformationUtils.cs
===================================================================
--- branches/2845_EnhancedProgress/HeuristicLab.Clients.Access/3.3/ClientInformationUtils.cs	(revision 16308)
+++ branches/2845_EnhancedProgress/HeuristicLab.Clients.Access/3.3/ClientInformationUtils.cs	(revision 16311)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2845_EnhancedProgress/HeuristicLab.Clients.Access/3.3/HeuristicLab.Clients.Access-3.3.csproj
===================================================================
--- branches/2845_EnhancedProgress/HeuristicLab.Clients.Access/3.3/HeuristicLab.Clients.Access-3.3.csproj	(revision 16308)
+++ branches/2845_EnhancedProgress/HeuristicLab.Clients.Access/3.3/HeuristicLab.Clients.Access-3.3.csproj	(revision 16311)
@@ -106,4 +106,5 @@
     <Compile Include="ClientInformation.cs" />
     <Compile Include="ClientInformationUtils.cs" />
+    <Compile Include="HiveRoles.cs" />
     <Compile Include="Plugin.cs" />
     <Compile Include="Properties\AssemblyInfo.cs" />
Index: branches/2845_EnhancedProgress/HeuristicLab.Clients.Access/3.3/HiveRoles.cs
===================================================================
--- branches/2845_EnhancedProgress/HeuristicLab.Clients.Access/3.3/HiveRoles.cs	(revision 16311)
+++ branches/2845_EnhancedProgress/HeuristicLab.Clients.Access/3.3/HiveRoles.cs	(revision 16311)
@@ -0,0 +1,38 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Linq;
+
+namespace HeuristicLab.Clients.Access {
+  public static class HiveRoles {
+    public const string Administrator = "Hive Administrator";
+    public const string User = "Hive User";
+    public const string Slave = "Hive Slave";
+
+    public static bool CheckAdminUserPermissions() {
+      return UserInformation.Instance.UserExists && UserInformation.Instance.User.Roles.Any(x => x.Name == Administrator);
+    }
+
+    public static bool CheckHiveUserPermissions() {
+      return UserInformation.Instance.UserExists && UserInformation.Instance.User.Roles.Any(x => x.Name == User);
+    }
+  }
+}
Index: branches/2845_EnhancedProgress/HeuristicLab.Clients.Access/3.3/Plugin.cs.frame
===================================================================
--- branches/2845_EnhancedProgress/HeuristicLab.Clients.Access/3.3/Plugin.cs.frame	(revision 16308)
+++ branches/2845_EnhancedProgress/HeuristicLab.Clients.Access/3.3/Plugin.cs.frame	(revision 16311)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -26,5 +26,5 @@
   /// Plugin class for HeuristicLab.Clients.Access plugin.
   /// </summary>
-  [Plugin("HeuristicLab.Clients.Access", "3.3.14.$WCREV$")]
+  [Plugin("HeuristicLab.Clients.Access", "3.3.15.$WCREV$")]
   [PluginFile("HeuristicLab.Clients.Access-3.3.dll", PluginFileType.Assembly)]  
   [PluginDependency("HeuristicLab.Clients.Common", "3.3")]
Index: branches/2845_EnhancedProgress/HeuristicLab.Clients.Access/3.3/Properties/AssemblyInfo.cs.frame
===================================================================
--- branches/2845_EnhancedProgress/HeuristicLab.Clients.Access/3.3/Properties/AssemblyInfo.cs.frame	(revision 16308)
+++ branches/2845_EnhancedProgress/HeuristicLab.Clients.Access/3.3/Properties/AssemblyInfo.cs.frame	(revision 16311)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -32,5 +32,5 @@
 [assembly: AssemblyCompany("")]
 [assembly: AssemblyProduct("HeuristicLab")]
-[assembly: AssemblyCopyright("(c) 2002-2016 HEAL")]
+[assembly: AssemblyCopyright("(c) 2002-2018 HEAL")]
 [assembly: AssemblyTrademark("")]
 [assembly: AssemblyCulture("")]
@@ -55,3 +55,3 @@
 // [assembly: AssemblyVersion("1.0.*")]
 [assembly: AssemblyVersion("3.3.0.0")]
-[assembly: AssemblyFileVersion("3.3.14.$WCREV$")]
+[assembly: AssemblyFileVersion("3.3.15.$WCREV$")]
Index: branches/2845_EnhancedProgress/HeuristicLab.Clients.Access/3.3/ServiceClients/AccessItem.cs
===================================================================
--- branches/2845_EnhancedProgress/HeuristicLab.Clients.Access/3.3/ServiceClients/AccessItem.cs	(revision 16308)
+++ branches/2845_EnhancedProgress/HeuristicLab.Clients.Access/3.3/ServiceClients/AccessItem.cs	(revision 16311)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2845_EnhancedProgress/HeuristicLab.Clients.Access/3.3/ServiceClients/Client.cs
===================================================================
--- branches/2845_EnhancedProgress/HeuristicLab.Clients.Access/3.3/ServiceClients/Client.cs	(revision 16308)
+++ branches/2845_EnhancedProgress/HeuristicLab.Clients.Access/3.3/ServiceClients/Client.cs	(revision 16311)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2845_EnhancedProgress/HeuristicLab.Clients.Access/3.3/ServiceClients/ClientConfiguration.cs
===================================================================
--- branches/2845_EnhancedProgress/HeuristicLab.Clients.Access/3.3/ServiceClients/ClientConfiguration.cs	(revision 16308)
+++ branches/2845_EnhancedProgress/HeuristicLab.Clients.Access/3.3/ServiceClients/ClientConfiguration.cs	(revision 16311)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2845_EnhancedProgress/HeuristicLab.Clients.Access/3.3/ServiceClients/ClientError.cs
===================================================================
--- branches/2845_EnhancedProgress/HeuristicLab.Clients.Access/3.3/ServiceClients/ClientError.cs	(revision 16308)
+++ branches/2845_EnhancedProgress/HeuristicLab.Clients.Access/3.3/ServiceClients/ClientError.cs	(revision 16311)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2845_EnhancedProgress/HeuristicLab.Clients.Access/3.3/ServiceClients/ClientGroup.cs
===================================================================
--- branches/2845_EnhancedProgress/HeuristicLab.Clients.Access/3.3/ServiceClients/ClientGroup.cs	(revision 16308)
+++ branches/2845_EnhancedProgress/HeuristicLab.Clients.Access/3.3/ServiceClients/ClientGroup.cs	(revision 16311)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2845_EnhancedProgress/HeuristicLab.Clients.Access/3.3/ServiceClients/ClientLog.cs
===================================================================
--- branches/2845_EnhancedProgress/HeuristicLab.Clients.Access/3.3/ServiceClients/ClientLog.cs	(revision 16308)
+++ branches/2845_EnhancedProgress/HeuristicLab.Clients.Access/3.3/ServiceClients/ClientLog.cs	(revision 16311)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2845_EnhancedProgress/HeuristicLab.Clients.Access/3.3/ServiceClients/ClientType.cs
===================================================================
--- branches/2845_EnhancedProgress/HeuristicLab.Clients.Access/3.3/ServiceClients/ClientType.cs	(revision 16308)
+++ branches/2845_EnhancedProgress/HeuristicLab.Clients.Access/3.3/ServiceClients/ClientType.cs	(revision 16311)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2845_EnhancedProgress/HeuristicLab.Clients.Access/3.3/ServiceClients/Country.cs
===================================================================
--- branches/2845_EnhancedProgress/HeuristicLab.Clients.Access/3.3/ServiceClients/Country.cs	(revision 16308)
+++ branches/2845_EnhancedProgress/HeuristicLab.Clients.Access/3.3/ServiceClients/Country.cs	(revision 16311)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2845_EnhancedProgress/HeuristicLab.Clients.Access/3.3/ServiceClients/IAccessItem.cs
===================================================================
--- branches/2845_EnhancedProgress/HeuristicLab.Clients.Access/3.3/ServiceClients/IAccessItem.cs	(revision 16308)
+++ branches/2845_EnhancedProgress/HeuristicLab.Clients.Access/3.3/ServiceClients/IAccessItem.cs	(revision 16311)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2845_EnhancedProgress/HeuristicLab.Clients.Access/3.3/ServiceClients/LightweightUser.cs
===================================================================
--- branches/2845_EnhancedProgress/HeuristicLab.Clients.Access/3.3/ServiceClients/LightweightUser.cs	(revision 16308)
+++ branches/2845_EnhancedProgress/HeuristicLab.Clients.Access/3.3/ServiceClients/LightweightUser.cs	(revision 16311)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2845_EnhancedProgress/HeuristicLab.Clients.Access/3.3/ServiceClients/OperatingSystem.cs
===================================================================
--- branches/2845_EnhancedProgress/HeuristicLab.Clients.Access/3.3/ServiceClients/OperatingSystem.cs	(revision 16308)
+++ branches/2845_EnhancedProgress/HeuristicLab.Clients.Access/3.3/ServiceClients/OperatingSystem.cs	(revision 16311)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2845_EnhancedProgress/HeuristicLab.Clients.Access/3.3/ServiceClients/Resource.cs
===================================================================
--- branches/2845_EnhancedProgress/HeuristicLab.Clients.Access/3.3/ServiceClients/Resource.cs	(revision 16308)
+++ branches/2845_EnhancedProgress/HeuristicLab.Clients.Access/3.3/ServiceClients/Resource.cs	(revision 16311)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2845_EnhancedProgress/HeuristicLab.Clients.Access/3.3/ServiceClients/Role.cs
===================================================================
--- branches/2845_EnhancedProgress/HeuristicLab.Clients.Access/3.3/ServiceClients/Role.cs	(revision 16308)
+++ branches/2845_EnhancedProgress/HeuristicLab.Clients.Access/3.3/ServiceClients/Role.cs	(revision 16311)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2845_EnhancedProgress/HeuristicLab.Clients.Access/3.3/ServiceClients/User.cs
===================================================================
--- branches/2845_EnhancedProgress/HeuristicLab.Clients.Access/3.3/ServiceClients/User.cs	(revision 16308)
+++ branches/2845_EnhancedProgress/HeuristicLab.Clients.Access/3.3/ServiceClients/User.cs	(revision 16311)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -51,5 +51,5 @@
 
     public override string ToString() {
-      return UserName + "(" + FullName + ")";
+      return UserName + " (" + FullName + ")";
     }
   }
Index: branches/2845_EnhancedProgress/HeuristicLab.Clients.Access/3.3/ServiceClients/UserGroup.cs
===================================================================
--- branches/2845_EnhancedProgress/HeuristicLab.Clients.Access/3.3/ServiceClients/UserGroup.cs	(revision 16308)
+++ branches/2845_EnhancedProgress/HeuristicLab.Clients.Access/3.3/ServiceClients/UserGroup.cs	(revision 16311)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2845_EnhancedProgress/HeuristicLab.Clients.Access/3.3/ServiceClients/UserGroupBase.cs
===================================================================
--- branches/2845_EnhancedProgress/HeuristicLab.Clients.Access/3.3/ServiceClients/UserGroupBase.cs	(revision 16308)
+++ branches/2845_EnhancedProgress/HeuristicLab.Clients.Access/3.3/ServiceClients/UserGroupBase.cs	(revision 16311)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2845_EnhancedProgress/HeuristicLab.Clients.Access/3.3/UserInformation.cs
===================================================================
--- branches/2845_EnhancedProgress/HeuristicLab.Clients.Access/3.3/UserInformation.cs	(revision 16308)
+++ branches/2845_EnhancedProgress/HeuristicLab.Clients.Access/3.3/UserInformation.cs	(revision 16311)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
